#!/usr/bin/env bash
set -eu

for flavor in cachyos{-gcc,-lto,-lto-full,-server,-lts,-rc,-hardened,-server-lto,-lts-lto,-rc-lto,-hardened-lto}; do
  cat "$(nom build ".#nixosConfigurations.jallen-nas.pkgs.mjallen.linuxPackages_${flavor}.kernel.kconfigToNix" --no-link --print-out-paths)" \
    >"/etc/nixos/packages/linux-cachyos/config-nix/x86_64-linux/${flavor}.x86_64-linux.nix"
done
